package com.itant.shiwushu.ui.detail;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;
import com.itant.shiwushu.bean.FavoriteResult;

public interface FavoriteContract {
    interface View extends IBaseView {
        void onGetFavoriteSuccess(FavoriteResult result);
        void onGetFavoriteFailed(String message);

        void goFavoriteSuccess(String message);
        void goFavoriteFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void getFavorite(int postId);

        // 1表示收藏，0表示取消收藏
        void goFavorite(int postId);
    }
}